public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-biology/samtools/
Date: Fri, 24 May 2024 08:59:58 +0000 (UTC)	[thread overview]
Message-ID: <1716541190.6da5b3550122801911fb21b58e81be7f45d6fdce.soap@gentoo> (raw)

commit:     6da5b3550122801911fb21b58e81be7f45d6fdce
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri May 24 08:59:50 2024 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri May 24 08:59:50 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6da5b355

sci-biology/samtools: add 1.20

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/samtools/Manifest             |  1 +
 sci-biology/samtools/samtools-1.20.ebuild | 47 +++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/sci-biology/samtools/Manifest b/sci-biology/samtools/Manifest
index 3ff37ea64bc7..c3163dc68eeb 100644
--- a/sci-biology/samtools/Manifest
+++ b/sci-biology/samtools/Manifest
@@ -1 +1,2 @@
 DIST samtools-1.19.2.tar.bz2 9150483 BLAKE2B fb845b2ccd61f1731ef4cdc180f4b9a4ac75e8c73c1ceaa9409b99e8052ca66b88c73fc71fd1067942aa24964f6df8dcb2d93631e5757e0cc200d7a3b9fad461 SHA512 c08d729fed21112855e0acc9cf7f29c7670d38a02ad6b0f2e9b9ef15a18f07e3e194cc4f6913481c98cd3e85dd4dc975dac96155b892da58bbe8ea3679a5270f
+DIST samtools-1.20.tar.bz2 9179938 BLAKE2B b534e659899a822e191c779a6ce9247854036da3435a0b63748783edc96d610ff0f02f73bbb5c1eab3ff86dbcca331113f3312a7c3376141ef89b6a8684446e4 SHA512 8526286243d057758cb846311d0a8c728026d31438e87fcc03e0df576f33bcc6da0e18bce141dbdc438a116341c94aa92701cdf10ba6b1301eadedbb34120822

diff --git a/sci-biology/samtools/samtools-1.20.ebuild b/sci-biology/samtools/samtools-1.20.ebuild
new file mode 100644
index 000000000000..42879b0f8698
--- /dev/null
+++ b/sci-biology/samtools/samtools-1.20.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Utilities for analysing and manipulating the SAM/BAM alignment formats"
+HOMEPAGE="http://www.htslib.org/"
+SRC_URI="https://github.com/samtools/${PN}/releases/download/${PV}/${P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+	dev-lang/perl
+	=sci-libs/htslib-$(ver_cut 1-2)*:=
+	sys-libs/ncurses:=[unicode(+)]
+	sys-libs/zlib"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+	default
+
+	# remove bundled htslib
+	rm -r htslib-* || die
+}
+
+src_configure() {
+	econf \
+		--with-ncurses \
+		--with-htslib=system \
+		CURSES_LIB="$($(tc-getPKG_CONFIG) --libs ncursesw || die)"
+}
+
+src_compile() {
+	emake AR="$(tc-getAR)"
+}
+
+src_install() {
+	default
+
+	dodoc -r examples
+	docompress -x /usr/share/doc/${PF}/examples
+}


             reply	other threads:[~2024-05-24  9:00 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-24  8:59 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-24  8:59 [gentoo-commits] repo/gentoo:master commit in: sci-biology/samtools/ David Seifert
2024-03-26 11:06 David Seifert
2023-04-06 19:29 David Seifert
2023-03-30 11:11 David Seifert
2023-02-19 15:44 David Seifert
2022-12-27  0:06 David Seifert
2022-06-19  8:09 David Seifert
2022-06-10 12:42 David Seifert
2022-03-19 11:38 David Seifert
2021-10-11 14:55 David Seifert
2021-10-03 17:41 David Seifert
2021-07-17 21:30 David Seifert
2020-08-03 18:17 David Seifert
2020-08-03 17:40 David Seifert
2020-08-03 16:56 David Seifert
2020-03-27 10:35 David Seifert
2018-10-28 20:25 David Seifert
2016-10-03 20:21 David Seifert
2016-04-10  9:21 David Seifert
2016-04-09 19:58 David Seifert
2016-03-27 22:53 David Seifert
2016-03-27 22:40 David Seifert
2016-03-27 22:40 David Seifert
2016-03-27 22:40 David Seifert
2016-03-27 22:40 David Seifert
2016-03-27 22:40 David Seifert
2016-03-27 22:40 David Seifert
2015-09-24 12:56 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1716541190.6da5b3550122801911fb21b58e81be7f45d6fdce.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox